ALAS2-2021-1580


Amazon Linux 2 Security Advisory: ALAS-2021-1580
Advisory Release Date: 2021-01-05 23:34 Pacific
Advisory Updated Date: 2021-01-06 20:37 Pacific
Severity: Important
References: CVE-2020-0452 

Issue Overview:

A flaw was found in libexif. A possible out of bounds write, due ot an integer overflow, could lead to a remote code execution if a third party app used this library to process remote image data. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability. (CVE-2020-0452 )


Affected Packages:

libexif


Issue Correction:
Run yum update libexif to update your system.

New Packages:
aarch64:
    libexif-0.6.22-2.amzn2.aarch64
    libexif-devel-0.6.22-2.amzn2.aarch64
    libexif-doc-0.6.22-2.amzn2.aarch64
    libexif-debuginfo-0.6.22-2.amzn2.aarch64

i686:
    libexif-0.6.22-2.amzn2.i686
    libexif-devel-0.6.22-2.amzn2.i686
    libexif-doc-0.6.22-2.amzn2.i686
    libexif-debuginfo-0.6.22-2.amzn2.i686

src:
    libexif-0.6.22-2.amzn2.src

x86_64:
    libexif-0.6.22-2.amzn2.x86_64
    libexif-devel-0.6.22-2.amzn2.x86_64
    libexif-doc-0.6.22-2.amzn2.x86_64
    libexif-debuginfo-0.6.22-2.amzn2.x86_64